/* ==========================================================
   STYLE.CSS — Main Stylesheet
   ----------------------------------------------------------
   Author: TheOwlCoders
   Description: Global styling, layout, colors, typography,
                utilities and component base styles.
========================================================== */

@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&display=swap');

/* -----------------------------------------
   1. ROOT VARIABLES (colors, fonts)
----------------------------------------- */
:root {
    --primary-color: #34A27F;
    --secondary-color: #C8F2DF;
    --dark-green: #0F8A59;
    --light-black: #121212;
    --orange-color: rgb(228, 77, 12);
    --gray-text:#5c5c5c;

    --font-main: "Manrope", sans-serif;
    --font-head: "Futura PT", sans-serif;
}

/* ============================================
   Typography System (Based on Your Requirement)
   ============================================ */

/* H1 – Futura Bold */
h1 {
    font-family: "Futura PT", sans-serif;
    font-weight: 700;
}

/* Subheader – Manrope SemiBold */
.subheader,
h2,
h3,
h4,
h5 {
    font-family: "Futura PT", sans-serif;

}

p {
    font-family: "Manrope", sans-serif;
}

/* Body Text – Manrope Regular */
body,
p,
span,
li {
    font-family: "Manrope", sans-serif;
    font-weight: 400;
}

/* CTA Buttons – Futura Medium */
.btn,
.button,
.cta {
    font-family: "Manrope", sans-serif;
    font-weight: 600;
    font-size: 16px;
}


/* -----------------------------------------
   2. RESET / GLOBAL
----------------------------------------- */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: var(--body-font);
    background-color: #fff;
    color: var(--dark);
    line-height: 1.6;
}

img {
    max-width: 100%;
    display: block;
}

a {
    text-decoration: none;
    color: inherit;

}

.btn.btn-theme {
    background-color: var(--dark-green);
    color: #fff;
   font-size: 15px;
    font-weight: 400;
    line-height: 2;
    padding: 4px 20px;
    border-radius: 6px;
}
a.btn.btn-theme.btn-line {
    background: transparent;
    border-color: #fff;
}
.btn-solid{background-color: var(--dark-green);
            border-radius: 12px;
        padding: 11px; color: #fff;}
ul {
    list-style: none;
    padding-left: 0;
}

.gap-block {
    padding: 50px 0px 65px 0;
}

.header-top h2 {
    font-size: 40px;
    font-weight: 700 !important;
    text-align: center;
    color: var(--light-black);
}
.header-top h2.text-white {
font-weight: 500 !important;
}

.header-top {
    margin-bottom: 50px;
}

/* .container {
    max-width: 1200px;
} */
 .container-fluid{
    max-width: 1800px;
 }
/* Chrome, Safari, Edge */
input::placeholder {
    color: #000;
    font-size: 16px;
    font-family: "Manrope", sans-serif;
    font-weight: 500;
}

/* Firefox */
input::-moz-placeholder {
    color: #000;
    font-size: 15px;
    letter-spacing: 0.3px;
}

/* Internet Explorer 10–11 */
input:-ms-input-placeholder {
    color: #000;
    font-size: 15px;
    letter-spacing: 0.3px;
}

/* Microsoft Edge Legacy */
input::-ms-input-placeholder {
    color: #000;
    font-size: 15px;
    letter-spacing: 0.3px;
}

/* -----------------------------------------
 Onload Offer on Top
----------------------------------------- */
/* Popup overlay */
.welcome-popup {
    position: fixed;
    background: #34A27F;
    display: none;
    /* hidden initially */
    align-items: center;
    justify-content: center;
    z-index: 1000;
    width: 100%;
    padding: 10px 0;
}

/* Popup box */
.popup-content h2 {
    margin: 0;
    font-size: 16px;
    text-align: center;
    font-weight: 500;
}

/* Close button */
.popup-close {
    position: absolute;
    top: 2px;
    right: 14px;
    background: none;
    border: none;
    font-size: 26px;
    cursor: pointer;
    line-height: 13px;
    color: #fff;
}

/* Fade animation */
@keyframes popupFade {
    from {
        transform: scale(0.9);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}

/* -----------------------------------------
 HEADER / NAVBAR
----------------------------------------- */
.top-header-gap {
    margin-top: 36px;
    transition: all 0.3s ease-in-out 0s;
}

.site-header {
    width: 100%;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1000;
    background: #ffffff;
    box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.10);

}
.mobile-search{
    display: none;
}
.search-box.position-relative.active {
    display: block;
    position: absolute !important;
    width: 100%;
    left: 0;
    right: 0;
    bottom: 10px;
}
/* After scroll */
.site-header.is-sticky {
    position: fixed;
    animation: slideDown 0.35s ease-out;
    padding: 6px 0 !important;
}

@keyframes slideDown {
    from {
        transform: translateY(-100%);
    }

    to {
        transform: translateY(0);
    }
}

.search-box {
    max-width: 450px;
    margin: auto;
}

.search-box input[type="text"] {
    border-radius: 40px;
    background: #f5f5f5;
    padding-left: 20px;
    width: 100%;
    height: 52px;
    border: 1px solid #dddddd;
}

.search-box .search-icon {
    right: 20px;
    top: 10px;
    color: #000;
    font-size: 20px;
}

.menu-btn {
       width: 50px;
    border-radius: 12px;
    background: #e5e5e5;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 23px;
    padding: 6px;
}

.search-box input {
    border: none;
    background: transparent;
    width: 100%;
    outline: none;
}


.main-wrapper {
    padding-top: 120px;
}
.main-wrapper.gap-mainblock {
    padding-top: 100px;
}
/* -----------------------------------------
   4. HERO SECTION
----------------------------------------- */
.hero-slider {
    overflow: hidden;
}

.hero-slider .slick-list {
    overflow: visible;
    /* allow side slides to show */
}

.hero-slider .slick-slide {
    opacity: 0.5;
    transform: scale(0.95);
    transition: all 0.4s ease;
}

.hero-slider .slick-center {
    opacity: 1;
    transform: scale(1);
}

/* Optional: rounded banner like AJIO */
.hero-slider img {
    border-radius: 16px;
    width: 100%;
    display: block;
}

/* Slick dots wrapper */
.hero-slider .slick-dots {
    position: relative;
    bottom: 30px;
    display: flex !important;
    justify-content: center;
    gap: 0px;
}

/* Dot button */
.hero-slider .slick-dots li button {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #ccc;
    border: none;
    padding: 0;
    font-size: 0;
    cursor: pointer;
}

/* Remove default slick before content */
.hero-slider .slick-dots li button:before {
    content: none;
}

/* Active dot */
.hero-slider .slick-dots li.slick-active button {
    background: #0d6efd;
    /* bootstrap primary */
    width: 24px;
    border-radius: 10px;
    transition: all 0.3s ease;
}

/* -----------------------------------------
   Brand Slider
----------------------------------------- */
.partner-logo-slider {
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    box-sizing: border-box;
    position: relative;
    background: #f5f5f5;
    padding: 15px 0;
}
.brand-slider-block .container-fluid{
    max-width: none;
}

.partner-logo-slide {
    display: flex;
    align-items: center;
    gap: 20px;
    animation: partner-logo 30s linear infinite;
}

.partner-logo-slide span {
    width: 28px;
}

.partner-logo-slide:hover {
    animation-play-state: paused;
}

.partner-logo-slide div {
    font-size: 16px;
    color: #5C5C5C;
    font-weight: 600;
    font-family: var(--font-main);
}

@keyframes partner-logo {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-50%);
    }
}

@media only screen and (max-width: 1025px) {
    .partner-logo-slide {
        gap: 20px;
    }

    .partner-logo-slide img {
        height: 45px;
    }
}

/* -----------------------------------------
   Shop by category
----------------------------------------- */
.category-box .category-icon {
    width: 175px;
    border-radius: 50%;
    overflow: hidden;
    height: 175px;
    margin: auto;
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.10);
    border: 1px solid #DDDDDD;
}

.category-box h5 {
    font-size: 24px;
    color: #000;
    margin-top: 25px;
}

.category-slider .slick-prev,
.category-slider .slick-next {
    background-color: #fff;
    border: 1px solid #B5B5B5;
    width: 52px;
    height: 52px;
    border-radius: 15px;
}

.category-slider .custom-arrow {

    display: flex !important;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 40%;
    transform: translateY(-50%);
    z-index: 10;
    cursor: pointer;
    transition: background 0.3s ease;
}

.category-slider .custom-arrow i {
    font-size: 18px;
    color: #0F8A59;
}
.category-slider.slick-slider{
    padding: 0 50px;
}
.category-slider .custom-arrow.active i {
    color: #fff;
}

/* ACTIVE arrow */
.category-slider .custom-arrow.active {
    background: #0F8A59;
}

/* Positions */
.category-slider .slick-prev {
    left: 0px !important;
}

.category-slider .slick-next {
    right: 0px !important;
}

/* Remove default slick arrows */
.slick-prev:before,
.slick-next:before {
    content: none;
}

/* -----------------------------------------
   Shop by Store
----------------------------------------- */
.store-block {
    background: #e8fff5;
    background: -webkit-linear-gradient(180deg, rgba(232, 255, 245, 1) 57%, rgba(199, 255, 255, 1) 100%);
    background: -moz-linear-gradient(180deg, rgba(232, 255, 245, 1) 57%, rgba(199, 255, 255, 1) 100%);
    background: linear-gradient(180deg, rgba(232, 255, 245, 1) 57%, rgba(199, 255, 255, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#E8FFF5", endColorstr="#C7FFFF", GradientType=0);
}

.store-card {
    background: #eafff9;
    border: 1.5px solid #9fe3d1;
    border-radius: 18px;
    padding: 14px;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.store-logo {
    background: #fff;
    border-radius: 14px;
    padding: 50px 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.store-logo img {
    max-width: 80%;
    max-height: 70px;
    object-fit: contain;
}
.orange-btn{
   background: var(--orange-color) !important;  
}
.cashback-btn {
    background: var(--dark-green);
    color: #fff;
    text-align: center;
    padding: 14px 0;
    border-radius: 10px;
    font-weight: 600;
    margin-top: 12px;
    font-size: 18px;
}
.store-slider{
    display: none;
}
.cashback-btn:hover {
    background: var(--dark-green);
    color: var(--secondary-color);
}

/* -----------------------------------------
   DEALS
----------------------------------------- */
.deal-card {
    border: 2px solid var(--orange-color);
    padding: 10px;
    border-radius: 20px;
}
.viewers-box{
    text-align: center;
    font-family: var(--font-main);
    font-weight: 600;
    color: var(--gray-text);
    font-size: 18px;
    background-color:color-mix(
  in srgb,
  var(--orange-color) 10%,
  transparent);
    padding: 14px 0;
    border-radius: 12px;
    margin: 6px 0;
}
.viewers-box span{font-weight: 700; color: var(--orange-color); margin: 0 5px; }
.viewers-box .bi{
    color: var(--orange-color);
}
.deal-card .deal-item {
    background: #ffffff;
    background: -webkit-linear-gradient(180deg, rgba(255, 255, 255, 1) 0%, rgba(239, 239, 239, 1) 100%);
    background: -moz-linear-gradient(180deg, rgba(255, 255, 255, 1) 0%, rgba(239, 239, 239, 1) 100%);
    background: linear-gradient(180deg, rgba(255, 255, 255, 1) 0%, rgba(239, 239, 239, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#FFFFFF", endColorstr="#EFEFEF", GradientType=0);
    padding: 30px 0;
    position: relative;
}

.deal-card .deal-item img {
    width: auto;
    max-height: 210px;
    margin: auto;
}

.deal-card .deal-item span.deal-dealer {
    position: absolute;
    border: 1px solid #DDDDDD;
    border-radius: 30px;
    background: #fff;
    top: 10px;
    padding: 8px 14px;
    right: 0;
}

.deal-card .deal-item span.deal-dealer img {
    max-height: 20px;
}

.deal-card p {
    font-size: 18px;
    color: var(--light-black);
    font-weight: 500;
    margin-top: 15px;
}

.current-price {
    font-size: 18px;
    font-weight: 800;
    color: var(--light-black);
    margin-right: 10px;
    font-family: var(--font-main);
}

.old-deal {
    color: #A2A2A2;
    font-weight: 700;
    margin-right: 10px;
     font-family: var(--font-main);
     font-size: 18px;
     text-decoration:line-through;
}

.deal-offer {
    color: var(--orange-color);
    font-weight: 700;
}
.offer-time{
   font-family: var(--font-main) !important; 
   color: var(--gray-text) !important;
   margin: 0 !important;
}
/* -----------------------------------------
   How it Work
----------------------------------------- */
.how-work {
    background: #F2FFF9;
    background: -webkit-linear-gradient(180deg, rgba(242, 255, 249, 1) 0%, rgba(200, 242, 223, 1) 100%);
    background: -moz-linear-gradient(180deg, rgba(242, 255, 249, 1) 0%, rgba(200, 242, 223, 1) 100%);
    background: linear-gradient(180deg, rgba(242, 255, 249, 1) 0%, rgba(200, 242, 223, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#F2FFF9", endColorstr="#C8F2DF", GradientType=0);
}

.step-box {
    position: relative;
    background: #128c57;
    border-radius: 22px;
    padding: 30px;
    color: #ffffff;
    overflow: hidden;
    min-height: 260px;
}

/* Step number */
.step-no {
    width: 60px;
    height: 60px;
    border: 1.5px solid rgba(255, 255, 255, 0.8);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 32px;
    font-weight: 700;
    margin-bottom: 26px;
    font-family: var(--font-main);
}

/* Title */
.step-title h3 {
    font-size: 30px;
    font-weight: 700;
    margin-bottom: 14px;
}

/* Description */
.step-box p {
    font-size: 16px;
    line-height: 1.6;
    margin-bottom: 0;
}

/* Abstract background shapes */
.step-box::before {
    content: "";
    position: absolute;
    width: 240px;
    height: 240px;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.08);
    right: -80px;
    top: 50px;
}

.step-box::after {
    content: "";
    position: absolute;
    width: 360px;
    height: 360px;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.04);
    right: -140px;
    bottom: -160px;
}
.max-width-work{
    max-width: 1200px;
    margin: auto;
}
/* -----------------------------------------
   Live Offer
----------------------------------------- */

.live-offer{
    background-image: url(../images/offer-background.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}
.offer-card{
    background: #F1FFF8;
background: -webkit-linear-gradient(180deg, rgba(241, 255, 248, 1) 0%, rgba(201, 242, 224, 1) 100%);
background: -moz-linear-gradient(180deg, rgba(241, 255, 248, 1) 0%, rgba(201, 242, 224, 1) 100%);
background: linear-gradient(180deg, rgba(241, 255, 248, 1) 0%, rgba(201, 242, 224, 1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#F1FFF8", endColorstr="#C9F2E0", GradientType=0);
border-radius: 15px;
overflow: hidden;
}
.offer-card .offercard-left{
    padding: 15px;
}
.offer-card .offercard-left .offer-brand {
    background: #fff;
    max-width: 126px;
    margin: 5px;
    padding: 8px;
    border-radius: 8px;
}

.offer-card .offercard-left .offer-brand img {
    max-height: 24px;
}
.offer-card .offercard-left .offers-details {
    margin-top: 40%;
}
.offer-card .offercard-left .offers-details h5{
    color: var(--light-black);
    font-size: 24px;
    font-weight: 500;
    font-family: var(--font-main);
}
.offer-card .offercard-left .offers-details h3{
    color: var(--dark-green);
    font-size: 30px;
    font-weight: 800;
    font-family: var(--font-main);
}
a.btn.btn-theme.btn-white{
    background-color: #fff;
    color: var(--dark-green) !important;
    font-weight: 500;
}
.offercard-right .offer-day{
    font-family: var(--font-main);
    bottom: 15px;
    background: #fff;
    z-index: 1;
    padding: 11px 25px;
    right: 15px;
    border-radius: 12px;
    font-weight: 800;
    color: var(--dark-green);
}
.offercard-right .offer-day span{
   font-weight: 800; 
}


/* -----------------------------------------
   Credit Card Offer
----------------------------------------- */
.creditcard-offer{
   background: #0F8A59;
background: -webkit-linear-gradient(180deg, rgba(15, 138, 89, 1) 0%, rgba(9, 85, 54, 1) 100%);
background: -moz-linear-gradient(180deg, rgba(15, 138, 89, 1) 0%, rgba(9, 85, 54, 1) 100%);
background: linear-gradient(180deg, rgba(15, 138, 89, 1) 0%, rgba(9, 85, 54, 1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#0F8A59", endColorstr="#095536", GradientType=0);

}
.credit-box{
    background: #042417;
background: -webkit-linear-gradient(180deg, rgba(4, 36, 23, 1) 0%, rgba(4, 24, 16, 1) 100%);
background: -moz-linear-gradient(180deg, rgba(4, 36, 23, 1) 0%, rgba(4, 24, 16, 1) 100%);
background: linear-gradient(180deg, rgba(4, 36, 23, 1) 0%, rgba(4, 24, 16, 1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#042417", endColorstr="#041810", GradientType=0);
border-radius: 16px;
overflow: hidden;
}
.credit-box .credit-card-image {
    right: 0;
    bottom: -29px;
    width: 34%;
    
}
.credit-box .credit-card-image::after{
    background: #0f0303;
background: -webkit-linear-gradient(180deg, rgba(15, 3, 3, 0) 0%, rgba(0, 0, 0, 0.8) 100%);
background: -moz-linear-gradient(180deg, rgba(15, 3, 3, 0) 0%, rgba(0, 0, 0, 0.8) 100%);
background: linear-gradient(180deg, rgba(15, 3, 3, 0) 0%, rgba(0, 0, 0, 0.8) 100%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#0F0303", endColorstr="#000000", GradientType=0);
content: "";
z-index: 10;
    position: absolute;
    z-index: 10;
    bottom: 0;
    height: 100%;
    width: 100%;
}
.credit-box .offer-details {
        margin-top: 12%;
        position: relative;
    z-index: 1;
}
.credit-box .offer-details h3{
    color: var(--dark-green);
    font-size: 30px;
    font-weight: 800;
    font-family: var(--font-main);
    letter-spacing: -2px;
}
.bank-logo img {
    width: auto;
    height: auto;
    max-height: 100%;
}
.bank-logo {
    height: 37px;
}
.header-top.d-flex {
    margin-bottom: 24px;
}
.for-mobileview{
    display: none;
}


/* -----------------------------------------
   Gift Card
----------------------------------------- */

a.btn.btn-theme.btn-line.btn-line-dark {
    border-color:var(--light-black);
    color: var(--light-black);
}
.giftcard-box{
    padding: 0 7px;
}


/* -----------------------------------------
   App Block
----------------------------------------- */

.app-block{
 background-image: url(../images/app-block-bg.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    margin: 0 80px;
    border-radius: 50px;
    padding: 0 40px;

}
.app-text-box{
    margin-left: 10%;
}
.app-text-box h2 {
    font-size: 48px;
    font-weight: 600;
}
.app-text-box p {
    font-size: 18px;
}


/* -----------------------------------------
  Share Block
----------------------------------------- */
.max-width-lg{
    max-width: 980px;
    margin: auto;
}
.share-box {
    padding: 20px;
    border-radius: 15px;
    position: relative;
    overflow: hidden;
}
.share-box .share-icon{
    margin-bottom: 70px;
}
.share-box h2{
    font-size: 50px;
    font-weight: 700;
    margin-bottom: 0;
}
.share-box p{
    font-size: 22px;
    color: #000;
}
.brand-image {
    position: absolute;
    bottom: -35px;
    right: -44px;
    width: 222px;
    opacity: 0.2;
}



.share-blue{
    background: #DFF4FF;
background: -webkit-linear-gradient(180deg, rgba(223, 244, 255, 1) 0%, rgba(42, 171, 238, 1) 100%);
background: -moz-linear-gradient(180deg, rgba(223, 244, 255, 1) 0%, rgba(42, 171, 238, 1) 100%);
background: linear-gradient(180deg, rgba(223, 244, 255, 1) 0%, rgba(42, 171, 238, 1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#DFF4FF", endColorstr="#2AABEE", GradientType=0);
}
.share-green{
    background: #DFFFF4;
background: -webkit-linear-gradient(180deg, rgba(223, 255, 244, 1) 0%, rgba(52, 162, 127, 1) 100%);
background: -moz-linear-gradient(180deg, rgba(223, 255, 244, 1) 0%, rgba(52, 162, 127, 1) 100%);
background: linear-gradient(180deg, rgba(223, 255, 244, 1) 0%, rgba(52, 162, 127, 1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#DFFFF4", endColorstr="#34A27F", GradientType=0);
}


/* -----------------------------------------
   FAQ
----------------------------------------- */
.faq-block {
    background-color: #ECECEC;
    padding: 80px 0;
}
.faq-right{
    border-radius: 15px;
    overflow: hidden;
}
#accordionFaq .accordion-item{
    background-color: transparent;
    border-color:#5A5A5A;
    border-width: 0px 0px 1px 0px;
    border-radius: 0;
    margin: 20px 0;
}
#accordionFaq .accordion-item h2.accordion-header .accordion-button{
    font-size: 24px !important;
    color: var(--light-black);
    font-family: var(--font-main);
    background-color: transparent;
    font-weight: 500;
    padding-left: 0;
}
.accordion-body, .accordion-body p{
    font-family: var(--font-main);
    color: #232323;
    font-size: 17px;
    padding: 0;
    font-weight: 400;
}
.accordion-button:focus {
    z-index: 3;
    outline: 0;
    box-shadow: none;
}
/* -----------------------------------------
   FOOTER
----------------------------------------- */
.footer-block {
    background: var(--light-black);
    color: #fff;
    padding: 50px 0;
}
.d-flex.applink img {
    max-width: 130px;
}

.footer-links {
    text-align: left;
    padding-left: 35px;
}
.footer-links h3{
    font-size: 20px;
    font-family: var(--font-main);
    font-weight: 600;
    margin-bottom: 20px;
}
.footer-links ul.footer-link li{
    margin-bottom: 5px;
}
ul.footer-link li a {
    color: #8C8C8C;
    line-height: 7.5px;
}
.footer-bottom{
    border-top: 1px solid #787878;
    margin-top: 20px;
    padding-top: 30px;
}
.copy-text{
    color: #8C8C8C;
}
#backToTop{
    color:var(--light-black);
    background-color: var(--primary-color);
}
/* -----------------------------------------
   7. UTILITIES (handy shortcut classes)
----------------------------------------- */
.text-muted-small {
    color: #777;
    font-size: 14px;
}

.section-padding {
    padding: 80px 0;
}

.btn-rounded {
    border-radius: 50px;
}

.shadow-soft {
    box-shadow: 0 3px 20px rgba(0, 0, 0, 0.05);
}


/* -----------------------------------------
   8. BACK TO TOP BUTTON
----------------------------------------- */
#backToTop {
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: none;
    z-index: 998;
}

/* -----------------------------------------
   9. Login and Register Modal
----------------------------------------- */
.form-modal-box {
    max-width: 420px;
    background-color: #fff;
    border: 1px solid rgba(255, 255, 255, 0.5);
    border-radius: 20px;
    padding: 2rem 3rem;
}

.modal-close-btn {
    position: absolute;
    top: 10px;
    right: 15px;
    color: #000;
    opacity: 1;
    background-image: none;
}

.form-modal-box .modal-title {
    color: var(--light-black);
    font-size: 30px;
    font-family: var(--font-main);
}
.modal-top p{
    color: #4A5565;
}
.form-modal-box .modal-body form input {
    background-color: transparent;
    border-radius: 10px;
    height: 46px;
    padding-left: 25px;
}
.or-text{
    position: relative;
    z-index: 10;
}
.or-text p{
    position: relative;
    z-index: 12;
    color:#6A7282;
}
.or-text::after{
    position: absolute;
    width: 100%;
    height: 1px;
    background-color: #D1D5DC;
    content: "";
    left: 0;
    z-index: 8;
    top: 12px;
}
.or-text::before{
background-color: #fff;
content: "";
width: 50px;
height: 50px;
left: 0;
right: 0;
z-index: 9;
position: absolute;
margin: auto;
}
.google-block ul li a:hover{
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.5);
}

.google-block ul li a{
    display: block;
    border-radius: 50%;
    width: 48px;
    height: 48px;
    transition: all 0.3s ease-in-out 0s;
}
p.term-text{
    font-size: 14px;
    color: #4A5565;
}
p.term-text a{
    color: #155DFC;
}
button.btn.login-button-modal {
    width: 100%;
    background: #0F8A59;
    color: #fff;
    padding: 12px 0;
}
.password-text{
    text-align: center;
    color: #0F8A59;
    font-family: var(--font-main);
        display: block;
    margin-top: 15px;
}
/* Chrome, Safari, Edge */
.form-modal-box .modal-body form input::placeholder {
    color: var(--light-black);
    font-size: 20px;
    font-family: "Futura PT", sans-serif;
    font-weight: 400;
    letter-spacing: 1px;
}

/* Firefox */
.form-modal-box .modal-body form inputinput::-moz-placeholder {
 color: var(--light-black);
    font-size: 20px;
    font-family: "Futura PT", sans-serif;
    font-weight: 400;
    letter-spacing: 1px;
}

/* Internet Explorer 10–11 */
.form-modal-box .modal-body form input:-ms-input-placeholder {
    color: #fff;
    font-size: 20px;
    font-family: "Futura PT", sans-serif;
    font-weight: 400;
    letter-spacing: 1px;
}

/* Microsoft Edge Legacy */
.form-modal-box .modal-body form input::-ms-input-placeholder {
    color: var(--light-black);
    font-size: 20px;
    font-family: "Futura PT", sans-serif;
    font-weight: 400;
    letter-spacing: 1px;
}


/* Rewards Page Styles */

.brand-info {
    border: 1px solid #34a27f7d;
    padding: 24px;
    border-radius: 24px;
}

.brand-info .brand-logo-box {
    width: 100%;
    background: #ffffff;
background: -webkit-linear-gradient(180deg, rgba(255, 255, 255, 1) 0%, rgba(232, 232, 232, 1) 100%);
background: -moz-linear-gradient(180deg, rgba(255, 255, 255, 1) 0%, rgba(232, 232, 232, 1) 100%);
background: linear-gradient(180deg, rgba(255, 255, 255, 1) 0%, rgba(232, 232, 232, 1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#FFFFFF", endColorstr="#E8E8E8", GradientType=0);
height: 150px;
    border-radius: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.brand-info .brand-logo-box img {
    max-height: 44px;
    margin: auto;
    display: block;
}
.brand-detail-item h2 {
    font-size: 54px;
    font-weight: 600;
    color: #000;
}
.brand-detail-item p {
    font-size: 18px;
    color: #5c5c5c;
    margin-bottom: 0;
    font-weight: 500;
}
.brand-detail-ratng ul li {
    color: #FFA500;
    margin: 0 2px;
}

.brand-detail-ratng p {
    margin-bottom: 0;
}
p.review, p.review span{
    color: #7a7a7a;
    font-size: 13px;
    font-weight: 600;
}
.brand-detail-ratng {
    background: #f5f5f5;
    width: 180px;
    margin: auto;
    padding: 5px 0;
    border-radius: 28px;
}
.caseback-reword, .reward-box{
        border: 1px solid #34a27f7d;
    padding: 20px;
    border-radius: 24px;
}
.caseback-reword h3 {
    font-size: 24px;
    font-weight: 600;
    color: #000;
    margin-bottom: 10px;
    margin-top: 10px;
}
.caseback-reword ul li a {
    font-size: 16px;
    font-weight: 500;
    color: var(--dark-green);
    display: flex;
    justify-content: space-between;
    align-items: center;
    line-height: 2.4;
    transition: all 0.3s ease;
}
.caseback-reword ul li a span{
    font-size: 24px;
    line-height: 1;
}
.caseback-reword ul li a:hover {
    color: var(--orange-color);
}

/* reward-box */
.reward-box-item{
    background: #C8F2DF;
background: -webkit-linear-gradient(180deg, rgba(200, 242, 223, 1) 0%, #ffffff 100%);
background: -moz-linear-gradient(180deg, rgba(200, 242, 223, 1) 0%, #ffffff 100%);
background: linear-gradient(180deg, rgba(200, 242, 223, 1) 0%, #ffffff 100%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#C8F2DF", endColorstr="#F3FAF7", GradientType=0);
padding: 25px 20px;
border-radius: 15px;
}
.reward-box-item h3{
    font-family: var(--font-main);
    color: var(--light-black);
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
}
.delivery-item span{
    color: var(--dark-green);
    font-weight: 700;font-size: 44px;
    line-height: 1;
     margin-right: 10px;
}
.delivery-item {
    display: flex;
    justify-content: flex-start;
    align-items: center;
   
    font-family: var(--font-main);
    font-weight: 600;
    font-size: 17px;
}
ul.list-butelt li {
    list-style: disc;
    list-style: disc;
    margin-left: 22px;
    margin-bottom: 15px;
}

ul.list-butelt li a {
    line-height: 1.7;
}



ul.list-butelt li a {
    line-height: 1.7;
}

.text-link{
    color: var(--primary-color);
    font-family: var(--font-main);
    font-weight: 600;
    font-size: 18px;
}
.big-links{
    color: white;
    background-color: var(--dark-green);
    font-style: italic;
    font-family: var(--font-head);
    width: 100%;
    border-radius: 15px;
    padding: 15px;
    font-size: 18px;
    transition: all 0.3s ease;
}
.big-links:hover{
    background-color: var(--orange-color);
    color: white;
    text-decoration: none;
}


/* Cashback Block  */
.casback-header.text-start h2 {
    font-size: 32px;
    font-weight: 700;
}
.cashblock-content{
    max-width: 1200px;
}
.accordion.caseback-acordian .accordion-item{
    background-color: transparent;
    border-width: 1px 0 0 0 ;
    border-radius: 0;
}
.accordion.caseback-acordian .accordion-item .accordion-header .accordion-button{
    background-color: transparent;
    border-radius: 0;
    border: 0;
    box-shadow: none;
    font-size: 20px;
    font-family: var(--font-main);
    font-weight: 500;
    padding-left: 0;
    color: #000;

}
.accordion-item:not(:first-of-type) {
    border-top: 1px solid #dee2e6 !important;
}
#accordionFaq .accordion-item:not(:first-of-type) {
    border-top: 0px solid #dee2e6 !important;
}
ol.list-group-numbered {
    list-style: decimal;
}
ol.list-group-numbered li, ul.list-dots  li{
    margin-bottom: 5px;
}
ul.list-dots  li{
      position: relative;
  padding-left: 15px;
}
ul.list-dots  li::before {
  content: "\2022"; /* Unicode for a solid bullet (disc) */
  position: absolute;
  left: 0;
  font-size: 16px; /* You can control this size independently */
  color: #000; /* You can control this color independently */
}

/* Best Card Page */
.card-banner-block{
    background: #042417;
background: -webkit-linear-gradient(90deg, rgba(4, 36, 23, 1) 0%, rgba(15, 138, 89, 1) 79%);
background: -moz-linear-gradient(90deg, rgba(4, 36, 23, 1) 0%, rgba(15, 138, 89, 1) 79%);
background: linear-gradient(90deg, rgba(4, 36, 23, 1) 0%, rgba(15, 138, 89, 1) 79%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#042417", endColorstr="#0F8A59", GradientType=1);
padding: 10% 0;
}
.breadcrumb li{
    color: var(--secondary-color) !important;
    font-size: 18px;
    letter-spacing: 0.5px;
}

.breadcrumb li a{
    color: var(--secondary-color) !important;
}
.breadcrumb-item+.breadcrumb-item::before{
     color: var(--secondary-color) !important;
}
.breadcrumb.breadcrumb-light li{
    color: #828282!important;
    font-size: 16px;
    letter-spacing: 0.5px;
    font-weight: 700 !important;
    font-family: var(--font-main);
}
.breadcrumb.breadcrumb-light li a{
    color: #828282 !important;
     font-weight: 500;
     font-family: var(--font-main);
}
.breadcrumb.breadcrumb-light .breadcrumb-item+.breadcrumb-item::before{
color: var(--secondary-color) !important;
}

.banner-content h1{
    font-size: 60px;
}
.card-banner-block .banner-content {
    max-width: 700px;
}
.banner-content p{
    font-size: 18px;
    color: var(--secondary-color);
    font-weight: 500;
}
/* Filter */
.filter-subline{
    font-size: 14px;
    font-weight: 500;
    color: var(--primary-color);
}
.filter-box {
    border: 1px solid #e5e5e5;
    border-radius: 14px;
    padding: 20px;
    max-width: 380px;
    background: #fff;
}

/* Range Wrapper */
.range-wrapper {
    position: relative;
    height: 6px;
}
.renge-output p{
font-size: 14px;
font-weight: 500;
color: var(--primary-color);
}
/* Base Track */
.range-wrapper::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 4px;
    background: #0f8a59;
    border-radius: 10px;
}

/* Active Track */
.range-track {
    position: absolute;
    height: 4px;
    background: #0f8a59;
    border-radius: 10px;
    left: 0;
    right: 0;
}

/* Range Inputs */
.range-wrapper input[type="range"] {
    position: absolute;
    width: 100%;
    top: -6px;
    background: none;
    pointer-events: none;
    appearance: none;
}

/* Thumb */
.range-wrapper input[type="range"]::-webkit-slider-thumb {
    pointer-events: auto;
    appearance: none;
    width: 16px;
    height: 16px;
    background: #0f8a59;
    border-radius: 50%;
    cursor: pointer;
}

.range-wrapper input[type="range"]::-moz-range-thumb {
    width: 16px;
    height: 16px;
    background: #0f8a59;
    border-radius: 50%;
    cursor: pointer;
}

/* Hide default track */
.range-wrapper input[type="range"]::-webkit-slider-runnable-track {
    background: transparent;
}

.range-wrapper input[type="range"]::-moz-range-track {
    background: transparent;
}

/* Inputs */
.price-input {
    background: #e6e6e6;
    border: none;
    font-weight: 500;
    font-family: var(--font-main);
}
.brand-select{
    border-top: 1px solid #e4e4e4;
}
/* Brand List */
.brand-list {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.brand-item {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 14px;
    cursor: pointer;
}

.brand-item input {
    accent-color: #0f8b57;
}
.brand-select input{
    max-height: 42px;
}

.brand-select input::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: #cccccc;
  font-size: 14px;
   font-weight: 500;
}
.brand-select input::-moz-placeholder { /* Firefox 19+ */
    color: #cccccc;
  font-size: 14px;
   font-weight: 500;
}
.brand-select input:-ms-input-placeholder { /* IE 10+ */
      color: #cccccc;
  font-size: 14px;
   font-weight: 500;
}
.brand-select input:-moz-placeholder { /* Firefox 18- */
    color: #cccccc;
  font-size: 14px;
   font-weight: 500;
}
.brand-list .brand-item{
    font-size: 14px;
    font-family: var(--font-main);
    font-weight: 500;
    color: var(--light-black);
}
.credit-box.card-best-card .offer-details h2{
font-size: 28px;
}
.credit-box.card-best-card{
    margin-bottom: 20px;
}
.credit-box.card-best-card .offer-details h3{
        font-size: 25px;

}
.credit-box.card-best-card .card-left .bank-logo {
    height: 20px;
}
.credit-box.card-best-card .offer-details span{
    width: 16px;
}
.sort-select{
    border: 1px solid #d7d7d7;
    width: 260px;
    padding: 0px 0px 0 10px;
    border-radius: 10px;
}
.sort-select label{
    font-family: var(--font-main);
    color:#b1b1b1;
    font-weight: 500;
    margin-right: 15px;
}
.sort-select select{
    border: 0;
    max-width: 180px;
}
select, option{
    font-family: var(--font-main);
    font-size: 14px;
}
.btn-group.list-grid-view {
    background: #f1f1f1;
    margin-left: 15px;
}
.btn.btn-default.selected{
    background-color: #c0c0c0;
}

.pagination .page-item.active .page-link {
  background-color: var(--dark-green); 
  color: #fff;
  
}

.pagination .page-item .page-link {
  border-radius: 8px;
  color: #AEAEB2;
  width: 42px;
  height: 42px;
  text-align: center;
  line-height: 1.75;
  border: 0;
}

a.btn.btn-outline.prev-next-btn{
    color: var(--gray-text);
    font-size: 14px;
    border: 1px solid #e7e7e7;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.05);
}
.pagination-block{
    border-top: 1px solid #f5f5f5;
    padding-top: 25px;
}
.filter-icon {
    background: var(--gray-text);
    width: 36px;
    height: 36px;
    border-radius: 4px;
    justify-content: center;
    align-items: center;
    color: #fff;
    display: none;
    position: absolute;
}
.close-filter{
    display: none;
}
.categories-box p{
    font-weight: 600;
    font-size: 20px;
    color: var(--light-black);
    text-align: center;
    margin-bottom: 0;
    margin-top: 10px;
}
.categories-box {
    border: 2px solid #e5e5e5;
    padding: 12px;
    border-radius: 14px;
    margin-bottom: 30px;
}



/* Side Menu  */
body.menu-open::after {
    background: #000;
    opacity: 0.6;
    position: absolute;
    z-index: 1500;
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    
}

body.menu-open {
    position: relative;
}
.side-bar.view-sidebar {
    right: 0;
}
.side-bar {
    position: fixed;
    z-index: 2000;
    background: #fff;
    width: 100%;
    max-width: 350px;
    right: -100%;
    top: 0;
    height: 100%;
    transition: all 0.3s ease-in-out 0s;
}
 .accordion-sidemenu {
 	width: 100%;
 	
 	-webkit-border-radius: 4px;
 	-moz-border-radius: 4px;
 	border-radius: 4px;
 }
.accordion-sidemenu li.open .link{
    background-color: #c8f2df;
}
.accordion-sidemenu .link {
	cursor: pointer;
	display: block;
	padding: 12px 12px 15px 10px;
	color: #4D4D4D;
	font-size: 14px;
	font-weight: 700;
	position: relative;
	-webkit-transition: all 0.4s ease;
	-o-transition: all 0.4s ease;
	transition: all 0.4s ease;
    border-radius: 5px;
}

.accordion-sidemenu li:last-child .link {
	border-bottom: 0;
}

.accordion-sidemenu li i {
	position: absolute;
	top: 16px;
	left: 12px;
	font-size: 18px;
	color: #595959;
	-webkit-transition: all 0.4s ease;
	-o-transition: all 0.4s ease;
	transition: all 0.4s ease;
}

.accordion-sidemenu li i.bi-chevron-down{
	right: 12px;
	left: auto;
	font-size: 16px;
}
.accordion-sidemenu li{
    /* margin-bottom: 20px; */
}

.accordion-sidemenu li.open .link {
	color: #b63b4d;
}

.accordion-sidemenu li.open i {
	color: #b63b4d;
}
.accordion-sidemenu li.open i.bi-chevron-down {
	-webkit-transform: rotate(180deg);
	-ms-transform: rotate(180deg);
	-o-transform: rotate(180deg);
	transform: rotate(180deg);
}

.accordion-sidemenu li.default .submenu {display: block;}
/**
 * Submenu
 -----------------------------*/
 .accordion-sidemenu .submenu {
 	display: none;
 	font-size: 14px;
    border-left: 1px solid #D0D5DD;
    margin-left: 20px;
 }

 .accordion-sidemenu .submenu li {
 

 }

 .accordion-sidemenu .submenu a {
 	display: block;
 	text-decoration: none;
 	color: #191D23;
 	padding: 12px;
 	padding-left: 22px;
 	-webkit-transition: all 0.25s ease;
 	-o-transition: all 0.25s ease;
 	transition: all 0.25s ease;
    font-weight: 700;
        margin-left: 10px;
    margin-top: 6px;
    border-radius: 5px;
    position: relative;
 }
 .accordion-sidemenu .submenu a::after{
    position: absolute;
    content: "\F285";
    width: 10px;
        height: 10px;
    right: 17px;
    font-family: "bootstrap-icons";
    opacity: 0;
 }

 .accordion-sidemenu .submenu a:hover {
 	background: #c8f2df;
 }
 .accordion-sidemenu .submenu a:hover::after {
 	opacity: 1;
 }
 .close-menubar {
    position: absolute;
    right: 33px;
    top: 2px;
    font-size: 37px;
}
.sidebar-menucontent{
    padding-top: 80px;
    padding-left: 30px;
    padding-right: 30px;
}
.sidebar-menucontent h2{
    font-size: 16px;
    font-weight: 600;
    color: var(--gray-text);
    font-family: var(--font-main);
}




.brand-logo-box.bank-logo img {
    padding: 0;
    height: auto;
    width: auto;
    max-height: none;
}
.brand-logo-box.bank-logo {
    background: transparent;
}

.deal-details-image img {
    height: auto;
    max-height: 400px !important;
}

.deal-item.deal-brand {
    background: #fff;
    top: 0;
    padding: 0px;
  
}

.deal-item.deal-brand span.deal-dealer{
      width: auto;
    display: inline-block;
    position: relative;
    top: 0;
}
h2.product-name {
    font-size: 40px;
    font-weight: 700;
    color: #252525;
    display: -webkit-box;
-webkit-line-clamp: 2;
-webkit-box-orient: vertical;
overflow: hidden;
text-overflow: ellipsis;

}
.price.pro-details-price .current-price{
    font-size: 32px;
}
.price.pro-details-price .old-deal{
    font-size: 24px;
}
.price.pro-details-price  .viewers-box{
    color: var(--dark-green);
    background-color: #c8f2df!important;
        font-size: 16px;
    padding: 10px 14px;
    border-radius: 4px;
}
.price.pro-details-price{
    margin: 20px 0 35px;
    border-bottom: 1px solid #dadada;
    padding-bottom: 30px;
}
.link-share ul li{margin: 0 15px;cursor: pointer;}
.link-share ul li p{
    margin-bottom: 0;
    margin-top: 5px;
    font-size: 14px;
    color: #4A5568;
    font-weight: 600;
    text-align: center;
}
.link-share ul li a img, .icon-circle img{
    margin: auto;
}
a.hand-arrow-link {
    display: flex;
    align-items: center;
}

a.hand-arrow-link img {
    width: 36px;
    margin-right: 15px;
}
.accordion.product-details .accordion-item {
    border-color: #cfcfcf !important;
    padding-bottom: 25px;
}
.bulet-list{
    list-style-type: disc;
    margin-left: 40px;
}
/*  
    RESPONSIVE STYLES SHOULD GO TO:  
    assets/css/responsive.css  
*/
#loginModal{
    z-index: 2005;
}